This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 819142 - systemd-loginctl kill-session <X> segfaults
systemd-loginctl kill-session <X> segfaults
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-04 23:59 EDT by Olivier Crête
Modified: 2012-05-29 06:34 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-29 06:34:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Olivier Crête 2012-05-04 23:59:28 EDT
Also, the debuginfo packages of systemd isn't up to date:

[root@TesterTop4 ocrete]# rpm -q systemd
systemd-44-8.fc17.x86_64
systemd-44-8.fc17.i686
[root@TesterTop4 ocrete]# rpm -q systemd-debuginfo
systemd-debuginfo-44-7.fc17.x86_64

[ocrete@TesterTop4 ~]$ gdb --args systemd-loginctl kill-session 7
GNU gdb (GDB) Fedora (7.4.50.20120120-42.fc17)
Copyright (C) 2012 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/systemd-loginctl...
warning: the debug information found in "/usr/lib/debug//usr/bin/systemd-loginctl.debug" does not match "/usr/bin/systemd-loginctl" (CRC mismatch).


warning: the debug information found in "/usr/lib/debug/usr/bin/systemd-loginctl.debug" does not match "/usr/bin/systemd-loginctl" (CRC mismatch).

(no debugging symbols found)...done.
Missing separate debuginfos, use: debuginfo-install systemd-44-8.fc17.i686 systemd-44-8.fc17.x86_64
(gdb) r
Starting program: /usr/bin/systemd-loginctl kill-session 7
warning: the debug information found in "/usr/lib/debug//lib64/ld-2.15.so.debug" does not match "/lib64/ld-linux-x86-64.so.2" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug//lib64/libpthread-2.15.so.debug" does not match "/lib64/libpthread.so.0" (CRC mismatch).

[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
warning: the debug information found in "/usr/lib/debug//lib64/librt-2.15.so.debug" does not match "/lib64/librt.so.1" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug//lib64/libc-2.15.so.debug" does not match "/lib64/libc.so.6" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug//lib64/libdl-2.15.so.debug" does not match "/lib64/libdl.so.2" (CRC mismatch).


Program received signal SIGSEGV, Segmentation fault.
_dbus_marshal_write_basic (str=0x6140c0, insert_at=16, type=type@entry=105, value=value@entry=0x7fff0000000f, 
    byte_order=108, pos_after=pos_after@entry=0x7fffffffde10) at dbus-marshal-basic.c:846
846	      return marshal_4_octets (str, insert_at, vp->u32,
(gdb) bt full
#0  _dbus_marshal_write_basic (str=0x6140c0, insert_at=16, type=type@entry=105, value=value@entry=0x7fff0000000f, 
    byte_order=108, pos_after=pos_after@entry=0x7fffffffde10) at dbus-marshal-basic.c:846
        vp = <optimized out>
#1  0x00007ffff7789da1 in _dbus_type_writer_write_basic_no_typecode (value=0x7fff0000000f, type=105, 
    writer=0x7fffffffddf0) at dbus-marshal-recursive.c:1589
No locals.
#2  _dbus_type_writer_write_basic_no_typecode (value=0x7fff0000000f, type=105, writer=0x7fffffffddf0)
    at dbus-marshal-recursive.c:2296
No locals.
#3  _dbus_type_writer_write_basic (writer=writer@entry=0x7fffffffddf0, type=type@entry=105, 
    value=value@entry=0x7fff0000000f) at dbus-marshal-recursive.c:2311
        retval = 0
#4  0x00007ffff778d929 in dbus_message_iter_append_basic (iter=iter@entry=0x7fffffffdde0, type=type@entry=105, 
    value=0x7fff0000000f) at dbus-message.c:2596
        real = 0x7fffffffdde0
        ret = <optimized out>
        __FUNCTION__ = "dbus_message_iter_append_basic"
#5  0x00007ffff778e17e in dbus_message_append_args_valist (message=<optimized out>, first_arg_type=<optimized out>, 
    var_args=var_args@entry=0x7fffffffdeb8) at dbus-message.c:1694
        value = <optimized out>
        type = 105
        iter = {dummy1 = 0x614070, dummy2 = 0x7fff01e00000, dummy3 = 131180, dummy4 = 0, dummy5 = 6371584, dummy6 = 0, 
          dummy7 = 2, dummy8 = 32767, dummy9 = 6373568, dummy10 = 0, dummy11 = 16, pad1 = 32767, pad2 = -136400156, 
          pad3 = 0x1}
        __FUNCTION__ = "dbus_message_append_args_valist"
#6  0x00007ffff778e4dc in dbus_message_append_args (message=<optimized out>, first_arg_type=<optimized out>)
    at dbus-message.c:1652
        retval = <optimized out>
        var_args = {{gp_offset = 48, fp_offset = 48, overflow_arg_area = 0x7fffffffdf98, reg_save_area = 0x7fffffffded0}}
        __FUNCTION__ = "dbus_message_append_args"
#7  0x0000000000403ad4 in ?? ()
No symbol table info available.
#8  0x00000000004032b0 in ?? ()
---Type <return> to continue, or q <return> to quit---
No symbol table info available.
#9  0x00007ffff6dac735 in __libc_start_main () from /lib64/libc.so.6
No symbol table info available.
#10 0x000000000040344d in ?? ()
No symbol table info available.
#11 0x00007fffffffe138 in ?? ()
No symbol table info available.
#12 0x000000000000001c in ?? ()
No symbol table info available.
#13 0x0000000000000003 in ?? ()
No symbol table info available.
#14 0x00007fffffffe446 in ?? ()
No symbol table info available.
#15 0x00007fffffffe460 in ?? ()
No symbol table info available.
#16 0x00007fffffffe46d in ?? ()
No symbol table info available.
#17 0x0000000000000000 in ?? ()
No symbol table info available.
(gdb)
Comment 1 Olivier Crête 2012-05-05 00:03:33 EDT
While we're into systemd-loginctl bugs, --privileged is broken too

[ocrete@TesterTop4 ~]$ systemd-loginctl --privileged kill-session  2
Failed to get D-Bus connection: Could not parse server address: Unknown address type (examples of valid types are "tcp" and on UNIX "unix")
Comment 2 Michal Schmidt 2012-05-06 02:25:40 EDT
The segfault is already fixed upstream:
http://cgit.freedesktop.org/systemd/systemd/commit/?id=cc1368e3b3585ab822d76e00945ed4c064047530

The fix will be included in a future F17 update.
Comment 3 Fedora Update System 2012-05-18 19:38:31 EDT
systemd-44-9.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/systemd-44-9.fc17
Comment 4 Fedora Update System 2012-05-19 14:33:45 EDT
Package systemd-44-9.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-44-9.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-8127/systemd-44-9.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-05-21 12:55:15 EDT
Package systemd-44-10.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-44-10.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-8127/systemd-44-10.fc17
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-05-22 11:54:48 EDT
Package systemd-44-12.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-44-12.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-8127/systemd-44-12.fc17
then log in and leave karma (feedback).
Comment 7 Michal Schmidt 2012-05-23 06:40:24 EDT
(In reply to comment #1)
> [ocrete@TesterTop4 ~]$ systemd-loginctl --privileged kill-session  2
> Failed to get D-Bus connection: Could not parse server address: Unknown
> address type (examples of valid types are "tcp" and on UNIX "unix")

This feature needs a newer dbus, with support for "unixexec:" addresses.
Comment 8 Fedora Update System 2012-05-29 06:34:16 EDT
systemd-44-12.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.